/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

### File Specific:
   main-programmer: Patrick Boenzli
*/

/*!
 * @file cr_defs.h
 *  some global collision reaction definitions
 */

#ifndef _CR_DEFS_H
#define _CR_DEFS_H

//!< the maximal number of touching objects (collisions) per frame
#define CR_MAX_COLLISIONS          500

//!< the maximal number of bounding volumes collision events per frame
#define CR_MAX_COLLISION_EVENTS   3000


//!< the collision axis x collision event
#define COLLISION_TYPE_AXIS_X      1
#define COLLISION_TYPE_AXIS_X_NEG  2
//!< the collision axis y collision event
#define COLLISION_TYPE_AXIS_Y      3
#define COLLISION_TYPE_AXIS_Y_NEG  4
//!< the collision axis z collision event
#define COLLISION_TYPE_AXIS_Z      5
#define COLLISION_TYPE_AXIS_Z_NEG  6
//!< the collision is a obb collision
#define COLLISION_TYPE_OBB         8


#endif /* _NETWORK_MANAGER */
